Bug 25434 - When viewing cart on small screen sizes selections-toolbar is hidden
Summary: When viewing cart on small screen sizes selections-toolbar is hidden
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-08 20:53 UTC by Lucas Gass
Modified: 2020-07-28 09:49 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01, 19.11.08


Attachments
Bug 25434: Display selections-toolbar on small screens (800 bytes, patch)
2020-05-26 10:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25434: Display selections-toolbar on small screens (855 bytes, patch)
2020-06-01 22:45 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25434: Display selections-toolbar on small screens (913 bytes, patch)
2020-06-11 12:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-05-08 20:53:49 UTC
On very small screen size (608px or less) and viewing your cart (opac-basket.pl) the selections-toolbar is set to 'display: none'. If a user is using a device with a small screen they are unable to perform some actions like:

-Select All
-Clear All
-Remove items
-Add to list
-Place hold
Comment 1 Jonathan Druart 2020-05-26 10:28:31 UTC
Created attachment 105353 [details] [review]
Bug 25434: Display selections-toolbar on small screens
Comment 2 Jonathan Druart 2020-05-26 10:30:06 UTC
This patch will show: https://snipboard.io/M4HYg6.jpg

Maybe we should remove the other selectors from this CSS rule as well.
Comment 3 Lucas Gass 2020-05-27 22:32:59 UTC
I wasn't sure if we should turn those options into a dropdown like we do on the OPAC results page.

https://snipboard.io/4xMOz8.jpg

Or maybe that is for another patch?
Comment 4 Katrin Fischer 2020-05-28 21:36:32 UTC
I am not sure how these would look in a pull down. Jonathan's suggestion looks good at first clance. This is set to NEW still - something missing?
Comment 5 Lucas Gass 2020-06-01 22:45:43 UTC
Created attachment 105477 [details] [review]
Bug 25434: Display selections-toolbar on small screens

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 6 Katrin Fischer 2020-06-11 12:02:38 UTC
Created attachment 105740 [details] [review]
Bug 25434: Display selections-toolbar on small screens

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2020-06-15 09:59:51 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-06-17 22:27:07 UTC
backported to 20.05.x for 20.05.01
Comment 9 Aleisha Amohia 2020-06-19 03:51:49 UTC
this patch doesn't seem to work on 19.11.x, the selections-toolbar still disappeared when i made the window smaller. not backported.
Comment 10 Lucas Gass 2020-07-16 22:49:22 UTC
Aleshia,

Did you regenerate the OPAC CSS?
Comment 11 Aleisha Amohia 2020-07-17 02:11:27 UTC
I didn't know I needed to regenerate the OPAC CSS. Looks good in 19.11.x now.

backported to 19.11.x for 19.11.08
Comment 12 Victor Grousset/tuxayo 2020-07-26 16:31:45 UTC
Investigating backport to 19.05.x:
I don't see a CSS regeneration commit in master, 20.05.x and 19.11.x
What did I miss?
Comment 13 Jonathan Druart 2020-07-27 08:25:25 UTC
(In reply to Victor Grousset/tuxayo from comment #12)
> Investigating backport to 19.05.x:
> I don't see a CSS regeneration commit in master, 20.05.x and 19.11.x
> What did I miss?

I missed it, here and in other bug reports. We have a check in the QA tools but it does not seem to work (I will have a look).

I have pushed a generic "Compiled CSS (OPAC)" (b4f3a0f0a6) commit to get back to a correct situation.
Comment 14 Jonathan Druart 2020-07-27 09:21:19 UTC
Can you please test the related merge request: https://gitlab.com/koha-community/qa-test-tools/-/issues/34
Comment 15 Victor Grousset/tuxayo 2020-07-28 09:49:16 UTC
Ok, issue found and reported in the merge request: https://gitlab.com/koha-community/qa-test-tools/-/merge_requests/25